@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

h1, h2, h3, h4, h5, h6 {
  font-family: "Pacifico", "Noto Sans JP", cursive;
  font-weight: 400;
  font-style: normal;
  color: #38accc !important;
}

/* タブふきだしスタイルのカスタマイズ */
/* ベースの形（全体を丸くする） */
.is-style-balloon .c-tabList__button {
  border-radius: 8px 8px 0 0;
  transition: background-color 0.3s ease;
  font-family: "Pacifico", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 1.5em;
}

@media (max-width: 960px)  {
.is-style-balloon .c-tabList__button {
  font-size: 1.2em;
}
}


/* 選択中・ホバー時の色設定 */
.is-style-balloon .c-tabList__button:hover, 
.is-style-balloon .c-tabList__button[aria-selected="true"] {
  background-color: #38accc;
}

/* フッター直前ウィジェット*/
.w-beforeFooter {
	margin-top:0;
}
.l-content {
  margin-bottom: 0 !important;
}

.wp-block-table td{
  vertical-align: middle;
  padding: 20px 0 !important;
}

@media (max-width: 960px)  {
.swell-col-reverse .swell-block-columns__inner{
    flex-direction: column-reverse; 
}
.takeout-fs {
  font-size: 1.2em !important;
}
}

@media (min-width: 960px)  {
.pl5 {
  padding-left: 5rem !important;
}
.pl3 {
  padding-left: 3rem !important;
}
}

/* スマホフッター電話番号ボタン */
@media screen and (max-width: 959px) {
    body {
        padding-bottom: 60px; /* 固定メニューの高さに合わせて余白を設定 */
    }

    #fixed-bottom-menu {
        display: block;
        position: fixed;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 99;
        padding: .3em 0em;
    }
    #fixed-bottom-menu .swell-block-column {
        padding: .5em;
    }
    #fixed-bottom-menu .swell-block-button__link[data-has-icon] {
        padding: 1em 1em;
    }    
}
@media screen and (min-width: 960px) {
    #fixed-bottom-menu, #fixed-sidebar-menu {
        display: none; /* PCでは非表示にする */
    }
}

/* テキストの無限ループアニメーション */
.flows-text {
  display: flex;
  list-style: none;
  overflow: hidden;
  margin-bottom: 0 !important;
}
/*li*/
.flows-text li {
  color:#38accc;
  font-size: 3.5em;
  font-weight: bold;/*太文字に*/
  white-space: nowrap;
  animation: flows-left 70s linear infinite;
}
/*PCの時のフォントサイズ*/
@media (min-width: 960px) {
  .flows-text li {
    font-size: 5em;
  }
}
/*アニメーション*/
@keyframes flows-left {
  100% {
    transform: translateX(-100%);
  }
}

/* 画像の無限ループアニメーション */
.loop-slider {
    display: flex;
    overflow: hidden;
}

.loop-slider .wp-block-group__inner-container,
.loop-slider .swell-block-columns {
    display: contents;
}

.loop-slider .swell-block-columns__inner {
    flex-wrap: nowrap;
    animation: infinity-scroll-right 40s infinite linear; /* アニメーションの時間を指定 */
}

.loop-slider .swell-block-column figure {
    width: 250px; /* 画像の横幅を指定（パソコン） */
    position: relative;
	margin-right: 20px;
}

.loop-slider .swell-block-column img {
  border-radius: 50%;
}

.loop-slider .swell-block-column figure::before {
    display: block;
    content: "";
}


@media screen and (max-width: 959px) {
    .loop-slider .swell-block-column figure {
        width: 150px; /* 画像の横幅を指定（スマホ） */
		margin-right: 10px;
    }
}

/* --- 無限スクロール --- */
@keyframes infinity-scroll-right {
  from { transform: translateX(-100%); }
  to   { transform: translateX(0); }
}


.insta-icon { color: #fff !important; }
.snow-icon { color: #38ACCC !important; }